summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGard Spreemann <gspr@nonempty.org>2019-07-22 13:44:12 +0200
committerGard Spreemann <gspr@nonempty.org>2019-07-22 13:44:12 +0200
commit41523bfb8bb47e5a195cf523fe51b1fbb1c7a9c1 (patch)
treeba4280daa551bb5fa7a7f4f4b08f65134020a7e8
parent76e96177f288cc51f997a46da8141d0af34c1c9e (diff)
Initial autopkgtest support.
-rw-r--r--debian/tests/control2
-rwxr-xr-xdebian/tests/upstream.sh14
2 files changed, 16 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..e610d45
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: upstream.sh
+Depends: python3-all, python3-nose, python3-pyspike \ No newline at end of file
diff --git a/debian/tests/upstream.sh b/debian/tests/upstream.sh
new file mode 100755
index 0000000..918c91e
--- /dev/null
+++ b/debian/tests/upstream.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+cwd=$(pwd)
+cd test
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ /usr/bin/python${py3ver} -B -c "import nose; nose.main()"
+done
+
+cd $cwd